## org.apache.poi.hpbf.model.qcbits
Class QCTextBit

    java.lang.Object
      org.apache.poi.hpbf.model.qcbits.QCBit
          org.apache.poi.hpbf.model.qcbits.QCTextBit

    public final class QCTextBit

extends QCBit

A Text based bit of Quill Contents

Field Summary

Fields inherited from class org.apache.poi.hpbf.model.qcbits.QCBit
`bitType, data, dataOffset, optA, optB, optC, thingType`

Constructor Summary
`QCTextBit(java.lang.String thingType, java.lang.String bitType, byte[] data)`

Method Summary
`java.lang.String` `getText()` Returns the text.
`void` `setText(java.lang.String text)`

Methods inherited from class org.apache.poi.hpbf.model.qcbits.QCBit
`getBitType, getData, getDataOffset, getLength, getOptA, getOptB, getOptC, getThingType, setDataOffset, setOptA, setOptB, setOptC`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QCTextBit

    public QCTextBit(java.lang.String thingType,
                     java.lang.String bitType,
                     byte[] data)

Method Detail

### getText

    public java.lang.String getText()

  Returns the text. Note that line endings are \r and not \n

### setText

    public void setText(java.lang.String text)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.